# Get a legal entity

`GET https://app.shuttleglobal.com/c/api/instances/{instance_key}/legal_entities/{legal_entity_id}`

Retrieve details of a specific legal entity by ID or code.

## Authentication

- basicAuth: Basic Authentication using secret key
- bearerAuth: OAuth 2.0 Bearer Token Authentication

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `legal_entity_id` | path | string | yes | The legal entity's ID (`le_...`), or its `code`. |
| `expand` | query | string | no | Fields to expand into full objects. Available fields: - created_session (session object) - updated_session (session object) |

## Responses

### 200: Legal entity details

```json
{
  "legal_entity": {
    "id": "string",
    "name": "string",
    "code": "string",
    "division": "string",
    "country": "string",
    "company_type": "string",
    "company_type_name": "string",
    "company_number": "string",
    "charity_number": "string",
    "vat_number": "string",
    "address": {
      "country": "string",
      "line1": "string",
      "line2": "string",
      "line3": "string",
      "line4": "string",
      "line5": "string",
      "line6": "string"
    },
    "phone": "string",
    "email": "string",
    "website": "string",
    "support_url": "string",
    "privacy_policy": "string",
    "tcs": "string",
    "metadata": {},
    "tags": "string",
    "status": "LINKED",
    "created": "2026-01-01T12:00:00Z",
    "created_session": "string",
    "updated": "2026-01-01T12:00:00Z",
    "updated_session": "string",
    "v": 0
  }
}
```

### 401: Unauthorised: the API key is missing or not valid

```json
{
  "code": "UNAUTHORIZED",
  "message": "Unauthorised"
}
```

### 404: Legal entity not found

```json
{
  "code": "string",
  "message": "string"
}
```

## Example request

```sh
curl --request GET \
  --url https://app.shuttleglobal.com/c/api/instances/YOUR_INSTANCE_KEY/legal_entities/LEGAL_ENTITY_ID \
  --header 'Authorization: Basic <base64 of SECRET_KEY:>'
```

Reference page: https://docs.shuttleglobal.com/platforms/reference/operations/getlegalentity/